## libjfreechart-java 1.0.13

=== debian/changelog ===
libjfreechart-java (1.0.13-8) unstable; urgency=medium

  * Team upload.
  * Transition to bnd 2.1.0. Fix obsolete bnd parameter syntax in
    debian/rules.
  * Vcs-Browser: Use https.
  * Declare compliance with Debian Policy 3.9.6.
  * Add unmappable-character.patch. The JavaDocs were completely missing from
    the package. This patch resolves the javadoc errors. Changing the
    file.encoding did not work.

 -- Markus Koschany <apo@debian.org>  Tue, 17 Nov 2015 19:00:20 +0100

libjfreechart-java (1.0.13-7) unstable; urgency=medium

  * Team upload.
  * debian/control:
    - Build depend on libservlet3.1-java instead of libservlet2.5-java
    - Standards-Version updated to 3.9.5 (no changes)
    - Use canonical URLs for the Vcs-* fields
  * Switch to debhelper level 9

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 08 Sep 2014 13:32:29 +0200

libjfreechart-java (1.0.13-6) UNRELEASED; urgency=medium

  * debian/control:
    + Remove Kumar Appaiah from uploaders

 -- Kumar Appaiah <akumar@debian.org>  Sat, 29 Mar 2014 15:56:28 -0400

libjfreechart-java (1.0.13-5) unstable; urgency=low

  * Fix Vcs-* fields of d/control.
  * Removed Michael Koch from Uploaders (Closes: #654077).
  * Build libjfreechart-swt-java binary package.
  * Add OSGi metadata to JAR manifests.
  * Added Jakub Adam to Uploaders.
  * Bump Standards-Version to 3.9.4.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Sun, 07 Oct 2012 01:24:51 +0200

libjfreechart-java (1.0.13-4) unstable; urgency=low

  * Team upload.

  [ Ioan Eugen STAN ]
  * Fix "Package does not install maven artifacts" - applyed the patch sent
    (Closes: #620045):
    - debian/control: Build-Depends on maven-repo-helper
    - debian/poms/jfreechart.pom: added file
    - debian/rules: 
       + added PACKAGE and MAVEN_REPO
       + added binary-post-install rule to install poms and jars
       + added get-orig-pom rule to download pom files from debian/poms
  * debian/source/format: added file (switch to quilt).
  * debian/patches/series: added file.
  * debian/patches/javaDocLink.diff: patch for ant/build.xml to link package
    javadoc to system javadoc.

  [ Damien Raude-Morvan ]
  * Update to Standards-Version 3.9.2:
    - Rename debian/README.Debian-source to debian/README.source.
  * Drop Depends on JRE since it's a library (as per Debian Java
    Policy).

 -- Damien Raude-Morvan <drazzib@debian.org>  Mon, 25 Apr 2011 15:18:09 +0200

libjfreechart-java (1.0.13-3) unstable; urgency=low

  * Team upload.
  * Include jcommon.jar in Class-Path entry of META-INF/MANIFEST.MF
    using jh_manifest (Closes: #601576):
    - d/control: Depends on javahelper.
    - d/rules: Call jh_manifest on jfreechart.jar and *-experimental.jar.

 -- Damien Raude-Morvan <drazzib@debian.org>  Sat, 30 Oct 2010 23:52:55 +0200

libjfreechart-java (1.0.13-2) unstable; urgency=low

  [ Onkar Shinde ]
  * debian/control
    - default-jdk/jre conversion.
    - Change runtime jre dependency to match target JVM version specified in
      build.xml.
    - Change build-dep libservlet2.4-java -> libservlet2.5-java.
    - Sync runtime version of libjcommon-java with build-dep version.
    - Change standards version to 3.8.3.
  * debian/rules
    - There are no patches. Remove simple patchsys include. 
    - Change JAV_HOME to match default-jdk. Remove ANT_HOME.
    - Remove unnecessary ant-launcher jar from DEB_JARS.
    - Remove DEB_ANT_COMPILER. Not needed these days.
    - Change servelet-api jar to 2.5.
    - Build experimental jar as well.
  * debian/dirs
    - Remove. Not really needed.

 -- Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>  Mon, 23 Nov 2009 14:58:02 +0530

libjfreechart-java (1.0.13-1) unstable; urgency=low

  * New upstream release (closes: #533374)
  * Added myself to uploaders
  * Moved to Section: java
  * Already conforms to standards 3.8.2
  * Add ${misc:Depends} to dependencies for potential debhelper-induced 
    dependencies
  * Adapted debian/rules to the new location of the generated jar

 -- Vincent Fourmond <fourmond@debian.org>  Wed, 17 Jun 2009 22:31:09 +0200

libjfreechart-java (1.0.10-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.8.0

 -- Varun Hiremath <varun@debian.org>  Sat, 05 Jul 2008 03:06:20 +0530

libjfreechart-java (1.0.9-1) unstable; urgency=high

  [ Varun Hiremath ]
  * New upstream release
  * This release fixes the following security issue:
    + Multiple cross-site scripting vulnerabilities in the image map
    feature allow remote attackers to inject arbitrary web script or HTML
    via several attributes (CVE-2007-6306; Closes: #456148).
  * Fix debian/watch to include letters also in upstream version.
  * Make some minor fixes in debian/orig-tar.sh file.
  * debian/control: Bumped up Standards-Version to 3.7.3

  [ Michael Koch ]
  * Use uscan SourceForge helper in watch file.

 -- Varun Hiremath <varun@debian.org>  Sat, 05 Jan 2008 01:08:58 +0530

libjfreechart-java (1.0.8-1) unstable; urgency=low

  * New upstream release.
  * Upstream changelog name fixed.
  * Update copyright, with license LGPL 2.1.
  * Use Vcs-Svn and Vcs-Browser in place of XS-* fields.
  
 -- Kumar Appaiah <akumar@ee.iitm.ac.in>  Thu, 27 Sep 2007 06:48:57 +0530

libjfreechart-java (1.0.6-2) unstable; urgency=low

  * Removed j2re1.4 from Depends.

 -- Michael Koch <konqueror@gmx.de>  Mon, 08 Oct 2007 08:18:02 +0200 
  

libjfreechart-java (1.0.6-1) unstable; urgency=low

  * New upstream release.
  * debian/control
    + Move every Build-Depend other than cdbs and debhelper to Build-Depends-Indep.
    + Add Homepage, XS-Vcs-Svn and XS-Vcs-Browser fields.
    + Add Varun Hiremath and Kumar Appaiah to Uploaders.
  * debian/rules:
    + Use DEB_UPSTREAM_VERSION in place of version.
    + Add get-orig-source for fetching clean upstream source.
  * debian/compat: bump to 5.
  * debian/watch: Added file.
  * debian/orig-tar.sh: Automate repackaging.

