=== debian/control ===
Source: libjfreechart-java
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Christian Bayle <bayle@debian.org>,
           Varun Hiremath <varun@debian.org>,
           Vincent Fourmond <fourmond@debian.org>,
           Jakub Adam <jakub.adam@ktknet.cz>
Build-Depends: cdbs, debhelper (>= 9), maven-repo-helper
Build-Depends-Indep: ant,
                     bnd (>= 2.1.0),
                     default-jdk,
                     javahelper (>= 0.32),
                     libjcommon-java (>= 1.0.6),
                     libservlet3.1-java,
                     libswt-gtk-3-java
Standards-Version: 3.9.6
Vcs-Svn: svn://anonscm.debian.org/pkg-java/trunk/libjfreechart-java
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-java/trunk/libjfreechart-java
Homepage: http://www.jfree.org/jfreechart/

Package: libjfreechart-java
Architecture: all
Depends: libjcommon-java (>= 1.0.6), ${misc:Depends}
Suggests: java-virtual-machine, libjfreechart-java-doc
Description: Chart library for Java
 JFreeChart is a free Java class library for generating charts, including:
   * pie charts (2D and 3D)
   * bar charts (regular and stacked, with an optional 3D effect)
   * line and area charts
   * scatter plots and bubble charts
   * time series, high/low/open/close charts and candle stick charts
   * combination charts
   * Pareto charts
   * Gantt charts
   * wind plots, meter charts and symbol charts
   * wafer map charts

Package: libjfreechart-java-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: libjfreechart-java
Description: Chart library for Java - documentation
 JFreeChart is a free Java class library for generating charts.
 .
 This package provides the javadoc documentation.

Package: libjfreechart-swt-java
Architecture: all
Depends: libjfreechart-java (= ${binary:Version}),
         libswt-gtk-3-java,
         ${misc:Depends}
Description: Chart library for Java (SWT support)
 JFreeChart is a free Java class library for generating charts.
 .
 This package allows one to use JFreeChart in SWT applications.
