=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file for jfreechart (uses cdbs)

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/ant.mk

JAVA_HOME := /usr/lib/jvm/default-java

DEB_JARS := jcommon servlet-api-3.1
DEB_ANT_BUILDFILE := ant/build.xml
DEB_ANT_BUILD_TARGET := compile compile-experimental javadoc
PACKAGE := jfreechart
MAVEN_REPO := http://repo1.maven.org/maven2

clean::
	mh_clean
	-rm -rf build
	-rm -rf javadoc
	-rm -f lib/jfreechart-$(DEB_UPSTREAM_VERSION)*.jar lib/swtgraphics2d.jar
	-rm -f debian/*.jar

common-build-indep::
	ant -f ant/build-swt.xml

install/lib$(PACKAGE)-java::
	jh_manifest -c jcommon.jar lib/jfreechart-$(DEB_UPSTREAM_VERSION).jar \
		lib/jfreechart-$(DEB_UPSTREAM_VERSION)-experimental.jar
	bnd wrap --properties debian/jfreechart.bnd --output debian/jfreechart-$(DEB_UPSTREAM_VERSION).jar \
		lib/jfreechart-$(DEB_UPSTREAM_VERSION).jar
	bnd wrap --properties debian/jfreechart-experimental.bnd --output debian/jfreechart-$(DEB_UPSTREAM_VERSION)-experimental.jar \
		lib/jfreechart-$(DEB_UPSTREAM_VERSION)-experimental.jar
	dh_install debian/jfreechart-$(DEB_UPSTREAM_VERSION)-experimental.jar /usr/share/java
	dh_link /usr/share/java/jfreechart-$(DEB_UPSTREAM_VERSION)-experimental.jar /usr/share/java/jfreechart-experimental.jar
	mh_installpoms -plib$(PACKAGE)-java
	mh_installjar -plib$(PACKAGE)-java -l debian/poms/$(PACKAGE).pom debian/$(PACKAGE)-$(DEB_UPSTREAM_VERSION).jar

install/lib$(PACKAGE)-swt-java::
	jh_manifest -c "jcommon.jar jfreechart-$(DEB_UPSTREAM_VERSION).jar swt.jar" \
		lib/jfreechart-$(DEB_UPSTREAM_VERSION)-swt.jar
	bnd wrap --properties debian/jfreechart-swt.bnd --output debian/jfreechart-$(DEB_UPSTREAM_VERSION)-swt.jar \
		lib/jfreechart-$(DEB_UPSTREAM_VERSION)-swt.jar
	dh_install -plib$(PACKAGE)-swt-java debian/jfreechart-$(DEB_UPSTREAM_VERSION)-swt.jar /usr/share/java
	dh_link -plib$(PACKAGE)-swt-java /usr/share/java/jfreechart-$(DEB_UPSTREAM_VERSION)-swt.jar /usr/share/java/jfreechart-swt.jar

get-orig-source:
	-uscan --upstream-version 0 --rename

get-orig-pom:
	mkdir -p debian/poms
	wget  -U NoSuchBrowser/1.0 -O debian/poms/$(PACKAGE).pom \
        $(MAVEN_REPO)/jfree/$(PACKAGE)/$(DEB_UPSTREAM_VERSION)/$(PACKAGE)-$(DEB_UPSTREAM_VERSION).pom
