=== debian/watch ===
version=3
http://sf.net/jfreechart/ jfreechart-(.*)\.tar\.gz debian debian/orig-tar.sh
