## libjfreechart-java 1.0.19

=== debian/changelog ===
libjfreechart-java (1.0.19-2) unstable; urgency=medium

  * Team upload.
  * Do not install the NEWS file with libjfreechart-java-doc package. The
    upstream changelog is sufficiently verbose. (Closes: #841507)

 -- Markus Koschany <apo@debian.org>  Fri, 21 Oct 2016 11:38:39 +0200

libjfreechart-java (1.0.19-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.0.19.
  * Switch to compat level 10.
  * Update debian/copyright and switch to copyright format 1.0.
  * Refresh patches and drop unmappable-character.patch
  * Switch from cdbs to dh sequencer.
  * Remove orig-tar.sh
  * Add build.patch to fix a FTBFS.
  * Set file encoding to UTF-8.
  * Install updated pom file. Relocate to old jfree group id.
  * Install documentation into /usr/share/doc/libjfreechart-java.
  * Remove README.source.
  * wrap-and-sort -sa.
  * Install NEWS file with libjfreechart-java-doc.install.
  * Don't suggest java-virtual-machine anymore.
  * Add maven.publishedRules to ease packaging with mh_make.

 -- Markus Koschany <apo@debian.org>  Sun, 16 Oct 2016 19:36:43 +0200

libjfreechart-java (1.0.13-9) unstable; urgency=medium

  * Team upload.
  * No longer build the experimental jar (never used)
  * Transition to libswt-gtk-4-java
  * Moved the package to Git
  * Standards-Version updated to 3.9.8
  * Use XZ compression for the upstream tarball

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 04 Aug 2016 14:21:56 +0200
