=== debian/rules ===
#!/usr/bin/make -f

export JAVA_HOME=/usr/lib/jvm/default-java
export CLASSPATH=/usr/share/java/jcommon.jar:/usr/share/java/servlet-api-3.1.jar
export JAVA_TOOL_OPTIONS=-Dfile.encoding=UTF8
VERSION:=1.0.19

%:
	dh $@ --with maven_repo_helper --buildsystem=ant

override_dh_auto_build:
	ant -f ant/build.xml compile javadoc
	jh_manifest -c jcommon.jar lib/jfreechart-$(VERSION).jar
	bnd wrap --properties debian/jfreechart.bnd --output debian/jfreechart-$(VERSION).jar \
		lib/jfreechart-$(VERSION).jar
	ant -f ant/build-swt.xml
	jh_manifest -c "jcommon.jar jfreechart-$(VERSION).jar swt4.jar" \
		lib/jfreechart-$(VERSION)-swt.jar
	bnd wrap --properties debian/jfreechart-swt.bnd --output debian/jfreechart-$(VERSION)-swt.jar \
		lib/jfreechart-$(VERSION)-swt.jar

override_dh_auto_clean:
	$(RM) *.jar
	$(RM) lib/*.jar
	$(RM) debian/*.jar
	$(RM) -r build javadoc

override_dh_link:
	dh_link -plibjfreechart-swt-java /usr/share/java/jfreechart-$(VERSION)-swt.jar /usr/share/java/jfreechart-swt.jar

get-orig-pom:
	mkdir -p debian/poms
	wget  -U NoSuchBrowser/1.0 -O debian/poms/jfreechart.pom \
		https://oss.sonatype.org/content/repositories/releases/org/jfree/jfreechart/$(VERSION)/jfreechart-$(VERSION).pom

get-orig-source:
	uscan --download-current-version --force-download --repack --compression xz
