=== debian/watch ===
version=4
opts=dversionmangle=s/[.+]dfsg//,uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|fx-javadocs|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/ \
 http://sf.net/jfreechart/jfreechart-(\d\S+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
