## libjfreechart-java 1.5.5

=== debian/changelog ===
libjfreechart-java (1.5.5-1) unstable; urgency=medium

  * Update watch file since source migrated from sf.net to github.com
  * New upstream version 1.5.5
  * Remove dependancy on jcommon
  * Remove support for swt that is moved upstream in another package
  * Remove not runnable test
  * Use jquery from debian
  * Remove superfluous removed files from copyright
  * Substitute dependancy libservlet3.1-java with libservlet-api-java
  * Set patch for test removal as not needed
  * Fix doc installation
  * Readd missing copyright section for LGPL-2.1+

 -- Christian Bayle <bayle@debian.org>  Mon, 24 Feb 2025 19:07:39 +0100

libjfreechart-java (1.0.19-3) unstable; urgency=medium

  * Team upload.
  * Switch to debhelper-compat = 13.
  * Declare compliance with Debian Policy 4.5.0.
  * Use canonical VCS URI.
  * Remove get-orig-source target.
  * Remove Vincent Fourmond from Uploaders. (Closes: #897298)

 -- Markus Koschany <apo@debian.org>  Fri, 13 Nov 2020 01:59:58 +0100
