=== debian/control ===
Source: libjfreechart-java
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders:
 Christian Bayle <bayle@debian.org>,
 Varun Hiremath <varun@debian.org>,
 Jakub Adam <jakub.adam@ktknet.cz>
Build-Depends:
 debhelper-compat (= 13),
 default-jdk,
 maven-debian-helper (>= 2.6)
Build-Depends-Indep:
 default-jdk-doc,
 junit5,
 libmaven-install-plugin-java (>= 3.1.3),
 libmaven-javadoc-plugin-java,
 libmaven-javadoc-plugin-java (>= 3.10.1),
 libservlet-api-java
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/java-team/libjfreechart-java.git
Vcs-Browser: https://salsa.debian.org/java-team/libjfreechart-java
Homepage: http://www.jfree.org/jfreechart/

Package: libjfreechart-java
Architecture: all
Depends:
 ${misc:Depends},
 ${maven:Depends}
Suggests:
 ${maven:OptionalDepends},
 libjfreechart-java-doc
Description: Chart library for Java
 JFreeChart is a free Java class library for generating charts, including:
   * pie charts (2D and 3D)
   * bar charts (regular and stacked, with an optional 3D effect)
   * line and area charts
   * scatter plots and bubble charts
   * time series, high/low/open/close charts and candle stick charts
   * combination charts
   * Pareto charts
   * Gantt charts
   * wind plots, meter charts and symbol charts
   * wafer map charts

Package: libjfreechart-java-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends}
Recommends:
 ${maven:DocDepends},
 ${maven:DocOptionalDepends}
Suggests:
 libjfreechart-java
Description: Chart library for Java - documentation
 JFreeChart is a free Java class library for generating charts.
 .
 This package provides the javadoc documentation.
